#  ============LICENSE_START===============================================
#  Copyright (C) 2021 Nordix Foundation. All rights reserved.
#  ========================================================================
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#  ============LICENSE_END=================================================
#


NEXUS_PROXY_REPO=nexus3.onap.org:10001/

PROD_APP_NAME="prod-w-producer"
PROD_IMAGE_NAME="prod-w-producer"

PROD_INT_PORT=9930      #Update nginx.conf if port is changed
PROD_EXT_PORT=9930
PROD_INT_SEC_PORT=9931  #Update nginx.conf if port is changed
PROD_EXT_SEC_PORT=9931


if [ "$1" == "local" ] || [ "$1" == "local-secure" ]; then
    DOCKER_NETWORK_FLAG=""
    ecs_name=localhost
else
    DOCKER_NETWORK_FLAG="--network nonrtric-docker-net"
    ecs_name=enrichmentservice
fi

if [ "$1" == "local" ]; then
    PORT=$PROD_INT_PORT
elif [ "$1" == "local-secure" ]; then
    PORT=$PROD_INT_SEC_PORT
else
    PORT=$PROD_INT_PORT
fi

export OWN_HOST=http://$PROD_APP_NAME:$PORT
export PRODUCER_NAME=prod-w
export ECS_BASE=http://$ecs_name:8083
