/*-
 * ========================LICENSE_START=================================
 * Copyright (C) 2021 Nordix Foundation. All rights reserved.
 * ======================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oransc.rappmanager.service;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import org.springframework.web.multipart.MultipartFile;

@Getter
@Setter
@Builder
public class App {

    private String name;
    private String chartName;
    private String version;
    private MultipartFile overrideFile;
    private String releaseNamespace; // helm
    // verify that later
    private String namespace; // kube

    /**
     * private Status status; // how to determine the status of the app. Which kubernetes object will tell me //that the
     * app is running? It can have pod or deployment or jobs, statefulset. //Easy way is to get meta-data of the app
     * 
     * public enum Status { RUNNING, ERROR, }
     **/
}
